<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@null"
        android:orientation="vertical"
        android:padding="20dp">

    <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:minWidth="@dimen/width_dialog_01"
            android:background="@drawable/img_popup_bg_body"
            android:orientation="vertical">

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="54dp"
                android:paddingLeft="25dp"
                android:paddingRight="25dp"
                android:gravity="center_vertical">

            <TextView
                    android:id="@+id/tvTitle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="left"
                    android:includeFontPadding="false"
                    android:text="@string/layout_things_name_change_01"
                    android:textColor="@color/color_text_04"
                    android:textSize="@dimen/size_font_08"
                    android:textStyle="bold"/>
        </LinearLayout>

        <LinearLayout
                android:id="@+id/llBody"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:minWidth="@dimen/width_dialog_01"
                android:orientation="vertical">


            <LinearLayout
                    android:id="@+id/llBody1"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:visibility="visible">

                <com.ntels.onecable.admin.common.widget.CustomScrollView
                        android:overScrollMode="never"
                        android:id="@+id/svBody"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:fadingEdge="none">

                    <LinearLayout
                            android:id="@+id/llBodyList"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"
                            android:paddingBottom="30dp"
                            android:paddingLeft="25dp"
                            android:paddingRight="25dp"
                            android:paddingTop="15dp">

                        <EditText
                                android:id="@+id/edtName"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="1"
                                android:background="@drawable/d_img_input_round_bg"
                                android:gravity="left|center_vertical"
                                android:hint="@string/layout_things_name_change_02"
                                android:imeOptions="actionDone"
                                android:includeFontPadding="false"
                                android:inputType="textEmailAddress"
                                android:minHeight="35dp"
                                android:paddingLeft="15dp"
                                android:paddingRight="15dp"
                                android:singleLine="true"
                                android:textColor="@color/color_text_01"
                                android:textColorHint="@color/color_text_01"
                                android:textCursorDrawable="@null"
                                android:textSize="@dimen/size_font_04"/>

                    </LinearLayout>
                </com.ntels.onecable.admin.common.widget.CustomScrollView>

                <View
                        android:visibility="gone"
                        style="@style/width_Divider_02"/>

                <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_gravity="center_horizontal"
                        android:gravity="center">

                    <LinearLayout
                            android:id="@+id/llBtn2"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/d_img_popup_btn_left"
                            android:gravity="center">

                        <TextView
                                android:id="@+id/tvBtn2"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:background="@null"
                                android:text="@string/layout_cancel"
                                android:includeFontPadding="false"
                                android:textColor="@color/color_text_03"
                                android:textSize="@dimen/size_font_09"
                                android:textStyle="bold"/>
                    </LinearLayout>

                    <View
                            android:id="@+id/vLine"
                            android:visibility="gone"
                            style="@style/height_Divider_02"/>

                    <LinearLayout
                            android:id="@+id/llBtn1"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/d_img_popup_btn_right"
                            android:gravity="center">

                        <TextView
                                android:id="@+id/tvBtn1"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:background="@null"
                                android:text="@string/layout_ok"
                                android:includeFontPadding="false"
                                android:textColor="@color/color_text_04"
                                android:textSize="@dimen/size_font_09"
                                android:textStyle="bold"/>
                    </LinearLayout>

                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>

</LinearLayout>